summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristoph Helma <helma@in-silico.ch>2012-08-23 08:43:38 +0200
committerChristoph Helma <helma@in-silico.ch>2012-08-23 08:43:38 +0200
commit381fe97fa5a27476070408118a4ecb000c3cb339 (patch)
tree22c161d5c7987a941d9015e70e07319b77bf7c98
parentf3a8a30391eaa832d3c2d0b0fba298a35678be83 (diff)
parent068fe693a0ecd0aba769b20a0def1ac048ee45a1 (diff)
Merge branch 'development' of github.com:opentox/compound into developmentv5.0.0pre1
Conflicts: compound.gemspec
-rwxr-xr-xbin/compound-install61
-rw-r--r--compound.gemspec2
2 files changed, 62 insertions, 1 deletions
diff --git a/bin/compound-install b/bin/compound-install
new file mode 100755
index 0000000..9b19210
--- /dev/null
+++ b/bin/compound-install
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Installs Opentox Webservice.
+# Author: Christoph Helma, Andreas Maunz.
+
+SELF=$(basename $0 -install)
+[ "`id -u`" = "0" ] && echo "This script must be run as non-root." 1>&2 && exit 1
+
+# Adjust ruby version here!
+RUBY_NUM_VER="1.9.3-p194"
+
+echo
+echo "Welcome to service installation (<Return> to continue)."
+read delete_me
+
+
+# check wd is root of service
+DIR=`pwd`
+if echo $DIR | grep "$SELF/bin" >/dev/null 2>&1 ; then cd ..; fi
+
+# # # Boot the script
+
+# load base config, helper funs, environment
+OT_CONFIG_DIR="$HOME/.opentox"
+! [ -f "$OT_CONFIG_DIR/config/install/config.sh" ] && echo "config.sh not found." 1>&2 && exit 1 || . $OT_CONFIG_DIR/config/install/config.sh
+! [ -f "$OT_PREFIX/install/utils.sh" ] && echo "utils.sh not found." 1>&2 && exit 1 || . $OT_PREFIX/install/utils.sh
+[ -f $OT_CONFIG_DIR/opentox-ui.sh ] && . $OT_CONFIG_DIR/opentox-ui.sh # should have been done by user already
+RUBY_DIR="$HOME/.rbenv/versions/$RUBY_NUM_VER"
+
+
+# # # Install
+
+check_utils "rbenv find"
+check_log $SELF
+
+if [ "$OT_BRANCH" = "development" ]; then
+ cmd="test -d $OT_PREFIX/opentox-server" && run_cmd "$cmd" "Opentox-server"
+ cmd="test -d $OT_PREFIX/opentox-client" && run_cmd "$cmd" "Opentox-client"
+fi
+
+
+# log directory for this service
+[ -d $OT_CONFIG_DIR/config/$SELF ] || cmd="mkdir -p $OT_CONFIG_DIR/config/$SELF" && run_cmd "$cmd" "Config directory"
+
+# ruby
+install_ruby
+
+# self
+echo
+install_with_bundler
+
+# config
+[ -f $OT_CONFIG_DIR/config/$SELF.rb ] || touch $OT_CONFIG_DIR/config/$SELF.rb
+if ! cat "$OT_CONFIG_DIR/config/$SELF.rb" | grep "four_store">/dev/null 2>&1; then echo '$four_store = { :uri => "http://localhost:9088", :user => "", :password => "" }' >> $OT_CONFIG_DIR/config/$SELF.rb; fi
+if ! cat "$OT_CONFIG_DIR/config/$SELF.rb" | grep "aa">/dev/null 2>&1; then echo '$aa = { :uri => nil }' >> $OT_CONFIG_DIR/config/$SELF.rb; fi
+if ! cat "$OT_DEFAULT_CONF" | grep "$SELF">/dev/null 2>&1; then echo '$compound = { :uri => "http://localhost:8082/compound" }' >> $OT_DEFAULT_CONF; fi
+
+notify
+
+# return to wd
+cd "$DIR"
diff --git a/compound.gemspec b/compound.gemspec
index 1daf893..ba6d742 100644
--- a/compound.gemspec
+++ b/compound.gemspec
@@ -17,7 +17,7 @@ Gem::Specification.new do |s|
s.required_ruby_version = '>= 1.9.2'
# specify any dependencies here; for example:
- s.add_runtime_dependency "opentox-server", "#{s.version}"
+ s.add_runtime_dependency "opentox-server", s.version
s.add_runtime_dependency "rjb"
s.add_runtime_dependency "openbabel"
s.post_install_message = "Please configure your service in ~/.opentox/config/compound.rb"